Incidents

Delete a heartbeat

DELETE/v1/heartbeats/{id}requires incidents:write

Stops monitoring. An incident it already opened stays open until resolved.

Requestcurl -X DELETE https://api.transmit.dev/v1/heartbeats/{id} \
  -H "Authorization: Bearer tr_v2_…"

Parameters

NameInNotes
id requiredpathThe heartbeat id.

Responses

StatusMeaning
200Deleted
401The API key is missing, malformed, expired or revoked
403The API key lacks the incidents:write scope
404Heartbeat not found

Every response body is described in the OpenAPI spec, which this page is generated from.